# ARBOcclusionQuery (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBOcclusionQuery

    java.lang.Object
      org.lwjgl.opengl.ARBOcclusionQuery

    public final class ARBOcclusionQuery

extends java.lang.Object

Field Summary
`static int` `GL_CURRENT_QUERY_ARB` Accepted by the <pname> parameter of GetQueryivARB:
`static int` `GL_QUERY_COUNTER_BITS_ARB` Accepted by the <pname> parameter of GetQueryivARB:
`static int` `GL_QUERY_RESULT_ARB` Accepted by the <pname> parameter of GetQueryObjectivARB and GetQueryObjectuivARB:
`static int` `GL_QUERY_RESULT_AVAILABLE_ARB` Accepted by the <pname> parameter of GetQueryObjectivARB and GetQueryObjectuivARB:
`static int` `GL_SAMPLES_PASSED_ARB` Accepted by the <target> parameter of BeginQueryARB, EndQueryARB, and GetQueryivARB:

Method Summary
`static void` `glBeginQueryARB(int target, int id)`
`static void` `glDeleteQueriesARB(int id)` Overloads glDeleteQueriesARB.
`static void` `glDeleteQueriesARB(java.nio.IntBuffer ids)`
`static void` `glEndQueryARB(int target)`
`static int` `glGenQueriesARB()` Overloads glGenQueriesARB.
`static void` `glGenQueriesARB(java.nio.IntBuffer ids)`
`static int` `glGetQueryARB(int target, int pname)` Deprecated. Will be removed in 3.0. Use `glGetQueryiARB(int, int)` instead.
`static void` `glGetQueryARB(int target, int pname, java.nio.IntBuffer params)`
`static int` `glGetQueryiARB(int target, int pname)` Overloads glGetQueryivARB.
`static void` `glGetQueryObjectARB(int id, int pname, java.nio.IntBuffer params)`
`static int` `glGetQueryObjectiARB(int id, int pname)` Overloads glGetQueryObjectivARB.
`static void` `glGetQueryObjectuARB(int id, int pname, java.nio.IntBuffer params)`
`static int` `glGetQueryObjectuiARB(int id, int pname)` Overloads glGetQueryObjectuivARB.
`static boolean` `glIsQueryARB(int id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_SAMPLES_PASSED_ARB

    public static final int GL_SAMPLES_PASSED_ARB

  Accepted by the <target> parameter of BeginQueryARB, EndQueryARB, and GetQueryivARB:

  See Also:
    Constant Field Values

### GL_QUERY_COUNTER_BITS_ARB

    public static final int GL_QUERY_COUNTER_BITS_ARB

  Accepted by the <pname> parameter of GetQueryivARB:

  See Also:
    Constant Field Values

### GL_CURRENT_QUERY_ARB

    public static final int GL_CURRENT_QUERY_ARB

  Accepted by the <pname> parameter of GetQueryivARB:

  See Also:
    Constant Field Values

### GL_QUERY_RESULT_ARB

    public static final int GL_QUERY_RESULT_ARB

  Accepted by the <pname> parameter of GetQueryObjectivARB and GetQueryObjectuivARB:

  See Also:
    Constant Field Values

### GL_QUERY_RESULT_AVAILABLE_ARB

    public static final int GL_QUERY_RESULT_AVAILABLE_ARB

  Accepted by the <pname> parameter of GetQueryObjectivARB and GetQueryObjectuivARB:

  See Also:
    Constant Field Values

Method Detail

### glGenQueriesARB

    public static void glGenQueriesARB(java.nio.IntBuffer ids)

### glGenQueriesARB

    public static int glGenQueriesARB()

  Overloads glGenQueriesARB.

### glDeleteQueriesARB

    public static void glDeleteQueriesARB(java.nio.IntBuffer ids)

### glDeleteQueriesARB

    public static void glDeleteQueriesARB(int id)

  Overloads glDeleteQueriesARB.

### glIsQueryARB

    public static boolean glIsQueryARB(int id)

### glBeginQueryARB

    public static void glBeginQueryARB(int target,
                                       int id)

### glEndQueryARB

    public static void glEndQueryARB(int target)

### glGetQueryARB

    public static void glGetQueryARB(int target,
                                     int pname,
                                     java.nio.IntBuffer params)

### glGetQueryARB

    @Deprecated
    public static int glGetQueryARB(int target,
                                               int pname)

  Deprecated. Will be removed in 3.0. Use `glGetQueryiARB(int, int)` instead.

  Overloads glGetQueryivARB.

### glGetQueryiARB

    public static int glGetQueryiARB(int target,
                                     int pname)

  Overloads glGetQueryivARB.

### glGetQueryObjectARB

    public static void glGetQueryObjectARB(int id,
                                           int pname,
                                           java.nio.IntBuffer params)

### glGetQueryObjectiARB

    public static int glGetQueryObjectiARB(int id,
                                           int pname)

  Overloads glGetQueryObjectivARB.

### glGetQueryObjectuARB

    public static void glGetQueryObjectuARB(int id,
                                            int pname,
                                            java.nio.IntBuffer params)

### glGetQueryObjectuiARB

    public static int glGetQueryObjectuiARB(int id,
                                            int pname)

  Overloads glGetQueryObjectuivARB.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.